var SkyBlueSofaSocialConnect = {
	init:function(){}	
	,showTab:function(pane) {
		$('#skybluesofa-socialConnect-tabs LI').removeClass('ccm-nav-active');
		$('#skybluesofa-socialConnect-tab-'+pane).addClass('ccm-nav-active');
		$('DIV.skybluesofa-socialConnect-pane:not(#skybluesofa-socialConnect-pane-'+pane+')').hide();
		$('#skybluesofa-socialConnect-pane-'+pane).show();
	}
	,addConnection: function(el) {
		var newConnRow = $('DIV.skybluesofa-socialConnect-connection-template').clone();
		newConnRow.addClass('skybluesofa-socialConnect-connection').removeClass('skybluesofa-socialConnect-connection-template').hide();
		$('.skybluesofa-socialConnect-connection-list').append(newConnRow);
		$('.skybluesofa-socialConnect-connection:last').slideDown();
	}
	,updateTooltip: function(el) {
		var tooltipEl = $(el).parent().parent().parent().find('.skybluesofa-socialConnect-connection-tooltip INPUT');
		if (tooltipEl.val()=='') {
			//var defaultTooltip = 'Connect with me on '+$(el).find('option:selected').text();
			var defaultTooltip = networkTooltips[$(el).find('option:selected').val()];
			if ($(el).val()=='email') {
				defaultTooltip = 'Connect with me via Email';
			} else if ($(el).val()=='feed') {
				defaultTooltip = 'Subscribe to my feed';
			} else if ($(el).val()=='website') {
				defaultTooltip = 'Connect with me on my Website';
			}
			tooltipEl.val(defaultTooltip);
		}
	}
	,removeConnection: function(el) {
		$(el).parent().slideUp('slow',function(){
			$(this).remove();
		});
	}
}

function skybluesofaSocialConnectTabSetup() {
	$('#skybluesofa-socialConnect-tabs A').bind('click', function(){
		var $this = $(this);
		var pane = $this.parent().attr('id').replace('skybluesofa-socialConnect-tab-','');
		SkyBlueSofaSocialConnect.showTab(pane);
	});	
}

$(function(){
	skybluesofaSocialConnectTabSetup()
	$('DIV.sortable').sortable({forcePlaceholderSize:true,placeHolder:true,forceHelperSize:true});
});
