<?php          
/*
* Additional Page List Views for c5
*
* @package Page List Views
* @author Dave Rogers <dave@sollos.net>
* @version 2.2
* @copyright Copyright (c) 2011, Dave Rogers
* @license http://www.opensource.org/licenses/mit-license.php MIT License
*/
defined('C5_EXECUTE') or die("Access Denied.");
class DashboardSkybluesofaSocialConnectController extends Controller {

	var $helpers = array('form'); 
	var $defaultImageArea = 'Main';
	var $defaultVerticalGap = '10';
	
	public function on_start() {
		$this->token = Loader::helper('validation/token');
	}
	
	public function view() {
		$this->loadMeta();
	}
	
	public function loadMeta() {
		$db = Loader::db();

		$networks = $db->GetArray("SELECT * FROM btSkybluesofaSocialNetworks ORDER BY name");
		$this->set('networks', $networks);
	}
	
}
?>