<?php          
/*
* @author Dave Rogers <dave@sollos.net>
* @copyright Copyright (c) 2011, Dave Rogers
* @license http://www.opensource.org/licenses/mit-license.php MIT License
*/

defined('C5_EXECUTE') or die("Access Denied.");
$pkgArray = Package::getInstalledList();
$ci = Loader::helper('concrete/urls');
?>
<div class="ccm-dashboard-content">
	<div class="ccm-dashboard-content-innner">
		<h1><span>Sky Blue Sofa Web Design (<a href="http://skybluesofa.com/web-development" target="_blank">skybluesofa.com</a>)</span></h1>
		<div class="ccm-dashboard-inner">
			<p>These are the Concrete5 Add-Ons provided by Sky Blue Sofa that you have installed:</p> 

			<?php            if (count($pkgArray) > 0) { ?>
				<?php           	foreach ($pkgArray as $pkg) { ?>
					<?php           if (strpos($pkg->pkgHandle,'sollos_')!==false) {?>
						<div class="ccm-addon-list">
						<table cellspacing="0" cellpadding="0">		
						<tr>
							<td class="ccm-installed-items-icon"><img src="<?php           echo $ci->getPackageIconURL($pkg)?>" /></td>
							<td class="ccm-addon-list-description"><h3><?php           echo $pkg->getPackageName()?> - <?php           echo $pkg->getPackageVersion()?></a></h3><?php           echo $pkg->getPackageDescription()?></td>
						</tr>
						</table>
						</div>
					<?php            } ?>				
				<?php            } ?>				
			<?php            } ?>
			<br />
		</div>	
	</div>
</div>
