<?php       
Loader::model('social_post','skybluesofa_social_share');
$socialPost = new SocialPost();

$uh = Loader::helper('concrete/urls');
$h = Loader::helper('concrete/interface');
$vt = Loader::helper('validation/token');

$cdh = Loader::helper('concrete/dashboard');
if (method_exists($cdh, 'getDashboardPaneHeaderWrapper')) {
	echo $cdh->getDashboardPaneHeaderWrapper(t('Social Promotion'), t('Configure the way that Composer pages send out notices and Page Promotion is handled.'), false, false);
} else {
	echo '<div style="width: 800px;">';
	echo '<h1><span>'.t('Social Promotion').'</span></h1>';
	echo '<div class="ccm-dashboard-inner">';
}
?>
<form method="post" id="skybluesofa_social_promotion_form" action="<?php      echo $this->url('/dashboard/skybluesofa/social_post', 'save')?>">
	<?php      echo $vt->output('social_networks'); ?>
	<input name="section" value="social_networks" type="hidden">
	<div class="ccm-pane-body">
		<?php   $elementVars = array('socialPost'=>$socialPost,'composerPageTypes'=>$composerPageTypes)?>
		<table style="width:918px;"><tr>
			<td style="width:292px;vertical-align:top;padding-right:21px;">
				<?php   Loader::packageElement('post_settings/twitter','skybluesofa_social_share', $elementVars);?>
			</td>
			<td style="width:292px;vertical-align:top;padding-right:21px;">
				<?php   Loader::packageElement('post_settings/facebook','skybluesofa_social_share', $elementVars);?>
			</td>
			<td style="width:292px;vertical-align:top;">
				<?php   Loader::packageElement('post_settings/linkedin','skybluesofa_social_share', $elementVars);?>
			</td>
		</tr></table>
	</div>
	<div class="ccm-pane-footer">
		<div class="ccm-buttons">
			<input type="button" class="btn ccm-button-v2 primary ccm-button-v2-right" value="Update Social Network Settings" id="add-skybluesofa_social_promotion_form_submit" name="add-skybluesofa_social_promotion_submit">
		</div>
	</div>
</form>
<?php       
if (method_exists($cdh, 'getDashboardPaneHeaderWrapper')) {
	echo Loader::helper('concrete/dashboard')->getDashboardPaneFooterWrapper();
} else {
	echo '</div></div>';
}
?>
<script>
$(function(){
	$('#add-skybluesofa_social_promotion_form_submit').bind('click',function() {
		$('#skybluesofa_social_promotion_form').submit();
	});
});
</script>
