<?php            
defined('C5_EXECUTE') or die("Access Denied.");

Loader::model('social_post','skybluesofa_social_share');
$socialPost = new SocialPost();

if (isset($_POST['publish'])) {
	$successes = array();
	if (isset($_POST['promoteOnTwitter'])) {
		$successes['twitter'] = $socialPost->twitter->promotePage($_POST['cID'], $_POST['twitter_prefix'], isset($_POST['useHashTags'])?1:0);
	}
	if (isset($_POST['promoteOnFacebook'])) {
		$successes['facebook'] = $socialPost->facebook->promotePage($_POST['cID'], $_POST['facebook_prefix'], isset($_POST['useHashTagsFacebook'])?1:0);
	}
	if (isset($_POST['promoteOnLinkedIn'])) {
		$successes['linkedin'] = $socialPost->linkedin->promotePage($_POST['cID'], $_POST['linkedin_prefix']);
	}
	print json_encode($successes);
	die();
}

Loader::model("attribute/categories/collection");
Loader::model("collection_types");
Loader::model('page_list');
$df = Loader::helper('form/date_time');
$form = Loader::helper('form');
$uh = Loader::helper('concrete/urls');
?>
	
<div style="padding-left: 8px;" class="ccm-ui">
	<div class="ccm-pane-body">
		<div id="blog-post-form">
			<form method="post" id="skybluesofa_promote_page" action="<?php               echo $uh->getToolsURL('promote_page', 'skybluesofa_social_share');?>">
				<input type="hidden" name="cID" id="skybluesofa_promote_page_cID" value="">
				<div class="pane post">
					<?php             if ($socialPost->twitter->settings['use']['value'] && $socialPost->twitter->settings['connected']['value'] && $socialPost->twitter->settings['allow_promotion']['value'] == 1) { ?>
						<div class="clearfix" style="padding-bottom:0;">
							<label class="checkbox" id="promote_on_twitter" style="width:300px;text-align:left;">
								<input type="checkbox" name="promoteOnTwitter" value="1" <?php             if ($socialPost->twitter->settings['promote_default']['value'] == 1) { ?> checked <?php             } ?> />
								<?php              echo t('Promote this page on Twitter')?>
							</label>
						</div>
						
						<div id="promote_on_twitter_div" style="margin-left:49px;<?php             if (!$socialPost->twitter->settings['promote_default']['value'] == 1) { ?>display:none;<?php             } ?>">
							<div class="clearfix" style="padding-bottom:0;">
								<label title="Text to add before the link to this page" style="width:75px;">Intro Text</label>
								<div class="input" style="margin-left:90px;">
									<input type="text" name="twitter_prefix" value="<?php              echo $socialPost->twitter->settings['promote_prefix']['value'];?>">
								</div>
							</div>
							<div class="clearfix">
								<label class="checkbox" style="margin-left:95px;width:300px;text-align:left;" title="<?php   echo t("Hashtags are generated from the 'tags' page attribute.");?>">
									<input type="checkbox" name="useHashTags" value="1" <?php             if ($socialPost->twitter->settings['use_hashtags']['value'] == 1) { ?> checked <?php             } ?> title="<?php              echo t('Hashtags will be generated from the page tags')?>" />
									<?php              echo t('Add Hashtags at the end of the tweet')?>
								</label>
							</div>
						</div>
					<?php             } ?>

					<?php             if ($socialPost->facebook->settings['use']['value'] && $socialPost->facebook->settings['allow_promotion']['value'] == 1) { ?>
						<div class="clearfix" style="padding-bottom:0;">
							<label class="checkbox" id="promote_on_facebook" style="width:300px;text-align:left;">
								<input type="checkbox" name="promoteOnFacebook" value="1" <?php             if ($socialPost->facebook->settings['promote_default']['value'] == 1) { ?> checked <?php             } ?> />
								<?php              echo t('Promote this page on Facebook')?>
							</label>
						</div>
						
						<div id="promote_on_facebook_div" style="margin-left:49px;<?php             if (!$socialPost->facebook->settings['promote_default']['value'] == 1) { ?>display:none;<?php             } ?>">
							<div class="clearfix" style="padding-bottom:0;">
								<label title="Text to add as an introduction to the link." style="width:75px;">Promo Text</label>
								<div class="input" style="margin-left:90px;">
									<textarea name="facebook_prefix"><?php              echo $socialPost->facebook->settings['promote_prefix']['value'];?></textarea>
								</div>
							</div>
							<div class="clearfix">
								<label class="checkbox" style="margin-left:95px;width:300px;text-align:left;" title="<?php   echo t("Hashtags are generated from the 'tags' page attribute.");?>">
									<input type="checkbox" name="useHashTagsFacebook" value="1" <?php             if ($socialPost->facebook->settings['use_hashtags']['value'] == 1) { ?> checked <?php             } ?> title="<?php              echo t('Hashtags will be generated from the page tags')?>" />
									<?php              echo t('Add Hashtags at the end of the post')?>
								</label>
							</div>
						</div>
					<?php             } ?>
					
					<?php             if ($socialPost->linkedin->settings['use']['value'] && $socialPost->linkedin->settings['allow_promotion']['value'] == 1) { ?>
						<div class="clearfix" style="padding-bottom:0;">
							<label class="checkbox" id="promote_on_linkedin" style="width:300px;text-align:left;">
								<input type="checkbox" name="promoteOnLinkedIn" value="1" <?php             if ($socialPost->linkedin->settings['promote_default']['value'] == 1) { ?> checked <?php             } ?> />
								<?php              echo t('Promote this page on LinkedIn')?>
							</label>
						</div>
						
						<div id="promote_on_linkedin_div" style="margin-left:49px;<?php             if (!$socialPost->linkedin->settings['promote_default']['value'] == 1) { ?>display:none;<?php             } ?>">
							<div class="clearfix" style="padding-bottom:0;">
								<label title="Text to add as an introduction to the link." style="width:75px;">Promo Text</label>
								<div class="input" style="margin-left:90px;">
									<textarea name="linkedin_prefix"><?php              echo $socialPost->linkedin->settings['promote_prefix']['value'];?></textarea>
								</div>
							</div>
						</div>
					<?php             } ?>
				</div>
				<div class="dialog-buttons">
					<a href="#" class="btn ccm-button-left cancel" onclick="jQuery.fn.dialog.closeTop();return false;"><?php              echo t('Cancel')?></a>
					<a href="#" onclick="sendToSocialMedia();return false;" class="ccm-button-right accept btn primary"><?php              echo t('Send to Social Media')?></a>
				</div>
	    	</form>
	    </div>
	</div>
	<script>
	$(function(){
		$('#promote_on_twitter').bind('click',function() {
			var $input = $(this).find('INPUT');
			if ($input.is(':checked')) {
				$('#promote_on_twitter_div').slideDown();
			} else {
				$('#promote_on_twitter_div').slideUp();
			}
		});
		$('#promote_on_facebook').bind('click',function() {
			var $input = $(this).find('INPUT');
			if ($input.is(':checked')) {
				$('#promote_on_facebook_div').slideDown();
			} else {
				$('#promote_on_facebook_div').slideUp();
			}
		});
		$('#promote_on_linkedin').bind('click',function() {
			var $input = $(this).find('INPUT');
			if ($input.is(':checked')) {
				$('#promote_on_linkedin_div').slideDown();
			} else {
				$('#promote_on_linkedin_div').slideUp();
			}
		});
		$('.ccm-dialog-close').click(function() {
			location.reload();
		});
	});

	function getFormData() {
		var formdata = {};
		$('#skybluesofa_promote_page :input').each(function(){
			$this= $(this);
			if ($this.attr('type')=='checkbox') {
				if ($this.is(":checked")) {
					formdata[$this.attr('name')] = $this.val();
				}
			} else {
				formdata[$this.attr('name')] = $this.val();
			}
		});
		return formdata;
	}
	function updateDisplayInfo() {
		var formdata = getFormData();
		formdata['get_info'] = 1;
		$.ajax({
			type: "POST",
			data: formdata,
			dataType: 'json',
			url: $('#skybluesofa_promote_page').attr('action'),
			success: function(data){
				if (data.error) {
					alert(data.error);
				} else {
					jQuery.fn.dialog.closeTop();
				}
			},
			error: function(){
				alert('There was an error. Please try again later.');
			}
		});
		return false;
		
	}
	function sendToSocialMedia() {
		var formdata = getFormData();
		formdata['publish'] = 1;
		$.ajax({
			type: "POST",
			data: formdata,
			dataType: 'json',
			url: $('#skybluesofa_promote_page').attr('action'),
			success: function(data){
				if (data.error) {
					alert(data.error);
				} else {
					var preContent = "This page has been posted on ";
					var preError = "There was an error posting to ";
					var confirmationContent = '';
					var errorContent = '';
					var postContent = ".";
					var promotedOnTwitter = false;
					var promotedOnFacebook = false;
					var promotedOnLinkedIn = false;
					if (typeof(data.twitter)!='undefined') {
						promotedOnTwitter = (data.twitter==true) ? true : 'error';
					}
					if (typeof(data.facebook)!='undefined') {
						promotedOnFacebook = (data.facebook==true) ? true : 'error';
					}
					if (typeof(data.linkedin)!='undefined') {
						promotedOnLinkedIn = (data.linkedin==true) ? true : 'error';
					}
					if (promotedOnTwitter==true && promotedOnFacebook==true && promotedOnLinkedIn==true) {
						confirmationContent = 'Twitter, Facebook and LinkedIn';
					} else if (promotedOnTwitter==true && promotedOnFacebook==true) {
						confirmationContent = 'Twitter and Facebook';
					} else if (promotedOnTwitter==true && promotedOnLinkedIn==true) {
						confirmationContent = 'Twitter and LinkedIn';
					} else if (promotedOnFacebook==true && promotedOnLinkedIn==true) {
						confirmationContent = 'Facebook and LinkedIn';
					} else if (promotedOnTwitter==true) {
						confirmationContent = 'Twitter';
					} else if (promotedOnFacebook==true) {
						confirmationContent = 'Facebook';
					} else if (promotedOnLinkedIn==true) {
						confirmationContent = 'LinkedIn';
					}
					if (promotedOnTwitter=='error' && promotedOnFacebook=='error' && promotedOnLinkedIn=='error') {
						errorContent = 'Twitter, Facebook and LinkedIn';
					} else if (promotedOnTwitter=='error' && promotedOnFacebook=='error') {
						confirmationContent = 'Twitter and Facebook';
					} else if (promotedOnTwitter=='error' && promotedOnLinkedIn=='error') {
						confirmationContent = 'Twitter and LinkedIn';
					} else if (promotedOnFacebook=='error' && promotedOnLinkedIn=='error') {
						confirmationContent = 'Facebook and LinkedIn';
					} else if (promotedOnTwitter=='error') {
						errorContent = 'Twitter';
					} else if (promotedOnFacebook=='error') {
						errorContent = 'Facebook';
					} else if (promotedOnLinkedIn=='error') {
						confirmationContent = 'LinkedIn';
					}
					if (confirmationContent) {
						alert(preContent+confirmationContent+postContent);
					}
					if (errorContent) {
						alert(preError+errorContent+postContent);
					}
						
					jQuery.fn.dialog.closeTop();
				}
			},
			error: function(){
				alert('There was an error. Please try again later.');
			}
		});
		return false;
	}	
	</script>
</div>
