<?php       
Loader::model('social_post','skybluesofa_social_share');
$socialPost = new SocialPost();

$uh = Loader::helper('concrete/urls');
$h = Loader::helper('concrete/interface');
$vt = Loader::helper('validation/token');

$cdh = Loader::helper('concrete/dashboard');
if (method_exists($cdh, 'getDashboardPaneHeaderWrapper')) {
	echo Loader::helper('concrete/dashboard')->getDashboardPaneHeaderWrapper(t('Social Promotion'), t('Configure the way that Composer pages send out notices and Page Promotion is handled.'));
} else {
	echo '<div style="width: 800px;">';
	echo '<h1><span>'.t('Social Promotion').'</span></h1>';
	echo '<div class="ccm-dashboard-inner">';
}
?>
<form method="post" id="skybluesofa_social_promotion_form" action="<?php      echo $this->url('/dashboard/skybluesofa/social_post', 'save')?>">
	<?php      echo $vt->output('social_networks'); ?>
	<input name="section" value="social_networks" type="hidden">
	<div class="ccm-pane-body">
		<div style="width:33%;float:left;">
			<div class="clearfix">
				<label class="checkbox" id="sbs_sp_twitter_use" style="width:300px;text-align:left;">
					<input type="checkbox" name="twitter[use]" value="1" <?php      if (($socialPost->twitter->settings['connected']['value'] == 1) && ($socialPost->twitter->settings['use']['value'] == 1)) { ?> checked <?php      } ?> />
					<?php       echo t('Allow Posts to Twitter')?>
				</label>
			</div>
			<div id="use_on_twitter_div" style="margin-left:21px;<?php      if (($socialPost->twitter->settings['connected']['value'] != 1) || ($socialPost->twitter->settings['use']['value'] != 1)) { ?>display:none;<?php      } ?>">
				<?php      if (!$socialPost->twitter->settings['oauth_token']['value']) { ?>
					<div class="clearfix alert-message danger">
						<p>You are not connected with Twitter.</p>
						<p>Please make sure that you are currently logged in with the Twitter account that you would like to connect to this site.</p>
						<p>
							<input type="button" class="btn ccm-button-v2 primary" value="Authorize with Twitter" onclick="location.href='<?php      echo $socialPost->twitter->getAuthorizeURL(); ?>';">
						</p>
					</div>
				<?php      } else { ?>
					<div class="clearfix alert-message info">
						<p>You are currently connected with Twitter.</p>
						<p>To remove authorization, click the 'Revoke Access' button on your <a href="https://twitter.com/settings/applications" target="_blank">Twitter Applications page</a>.
					</div>
					<?php        if (version_compare(APP_VERSION,'5.5.0', '>=')) { ?>
						<div class="clearfix">
							<label class="checkbox" style="width:500px;text-align:left;" id="twitter_send_post">
								<input type="checkbox" name="twitter[send_post]" value="1" <?php      if ($socialPost->twitter->settings['send_post']['value'] == 1) { ?> checked <?php      } ?> />
								<?php       echo t('Post to Twitter when a new composer page is added')?>
							</label>
						</div>
						<div id="send_post_on_twitter_div" style="margin-left:21px;<?php      if ($socialPost->twitter->settings['send_post']['value'] != 1) { ?>display:none;<?php      } ?>">
							<?php      $twitterPrefixes = json_decode($socialPost->twitter->settings['prefix']['value']); ?>
							<table border="0" cellspacing="0" cellpadding="0" class="zebra-striped">
						    	<thead>
						   <tr>
						       <th>Page Type</th>
						       <th>Intro Text</th>
						   </tr>
								</thead>
								<tbody>
			      <tr>
						       <td><i>Default</i></td>
						       <td><input type="text" name="twitter[prefix][0]" value="<?php      $index=0; $defaultTwitterPrefix=$twitterPrefixes->$index; echo $defaultTwitterPrefix; ?>"></td>
						   </tr>
									<?php      foreach ($composerPageTypes as $cpt) { 
										$index = $cpt->ctID;
										$value = (isset($twitterPrefixes->$index)) ? $twitterPrefixes->$index : $defaultTwitterPrefix;
										?>
			      <tr>
						       <td><?php      echo $cpt->ctName; ?></td>
						       <td><input type="text" name="twitter[prefix][<?php      echo $index; ?>]" value="<?php       echo $value;?>"></td>
						   </tr>
						   <?php      } ?>
						 </tbody>
						    </table>
							<div class="clearfix">
								<label class="checkbox" style="margin-left:0;width:500px;text-align:left;">
									<input type="checkbox" name="twitter[use_hashtags]" value="1" <?php      if ($socialPost->twitter->settings['use_hashtags']['value'] == 1) { ?> checked <?php      } ?> />
									<?php       echo t('Add Hashtags at the end of the tweet')?>
								</label>
							</div>
						</div>
					<?php        } ?>
					<div class="clearfix">
						<label class="checkbox" style="width:300px;text-align:left;" id="twitter_promote">
							<input type="checkbox" name="twitter[allow_promotion]" value="1" <?php      if ($socialPost->twitter->settings['allow_promotion']['value'] == 1) { ?> checked <?php      } ?> />
							<?php       echo t('Allow page editors to promote pages via Twitter')?>
						</label>
					</div>
					<div id="promote_on_twitter_div" style="margin-left:21px;<?php      if ($socialPost->twitter->settings['allow_promotion']['value'] != 1) { ?>display:none;<?php      } ?>">
						<div class="clearfix">
							<div class="input input-prepend" style="margin-left:0;" title="Text to add before the link to this page" >
								<input type="text" name="twitter[promote_prefix]" value="<?php       echo $socialPost->twitter->settings['promote_prefix']['value'];?>"><span class="add-on">Intro Text</span>
							</div>
						</div>
						<div class="clearfix">
							<label class="checkbox" style="margin-left:0;width:500px;text-align:left;">
								<input type="checkbox" name="twitter[promote_default]" value="1" <?php      if ($socialPost->twitter->settings['promote_default']['value'] == 1) { ?> checked <?php      } ?> />
								<?php       echo t('By default, check the box for promoting pages via Twitter')?>
							</label>
						</div>
						<div class="clearfix">
							<label class="checkbox" style="margin-left:0;width:500px;text-align:left;">
								<input type="checkbox" name="twitter[use_hashtags_promote_default]" value="1" <?php      if ($socialPost->twitter->settings['use_hashtags_promote_default']['value'] == 1) { ?> checked <?php      } ?> />
								<?php       echo t('By default, check the box for adding hashtags to the tweet')?>
							</label>
						</div>
					</div>
					<?php      } ?>
			</div>
		</div>
		<div style="width:33%;float:left;">
			<div class="clearfix">
				<label class="checkbox" id="use_on_facebook" style="width:300px;text-align:left;">
					<input type="checkbox" name="facebook[use]" value="1" <?php      if ($socialPost->facebook->settings['use']['value'] == 1) { ?> checked <?php      } ?> />
					<?php       echo t('Allow posts to Facebook')?>
				</label>
			</div>
			
			<div id="use_on_facebook_div" style="margin-left:21px;<?php      if ($socialPost->facebook->settings['use']['value'] != 1) { ?>display:none;<?php      } ?>">
				<?php      if (!$socialPost->facebook->settings['app_id']['value'] || !$socialPost->facebook->settings['app_secret']['value']) { ?>
					<div class="clearfix alert-message danger">
						<p>You haven't entered an AppID and App Secret.</p>
						<p>You can create a Facebook App at <a href="https://developers.facebook.com/apps" target="_blank">Facebook Apps</a>.</p>
					</div>
				<?php      }?>
				<div class="clearfix">
					<div class="input input-prepend" style="margin-left:0;" title="Application ID" >
						<input type="text" name="facebook[app_id]" value="<?php       echo $socialPost->facebook->settings['app_id']['value'];?>"><span class="add-on">AppID</span>
					</div>
				</div>
				<div class="clearfix">
					<div class="input input-prepend" style="margin-left:0;" title="Application ID" >
						<input type="text" name="facebook[app_secret]" value="<?php       echo $socialPost->facebook->settings['app_secret']['value'];?>"><span class="add-on">App Secret</span>
					</div>
				</div>
				
				<?php      if ($socialPost->facebook->settings['app_id']['value'] && $socialPost->facebook->settings['app_secret']['value']) { ?>
					<?php      if (!$socialPost->facebook->settings['oauth_token']['value']) { ?>
						<div class="clearfix alert-message danger">
							<p>You are not connected with Facebook.</p>
							<p>Please make sure that you are currently logged in with the Facebook account that you would like to connect to this site.</p>
							<p>
							<input type="button" class="btn ccm-button-v2 primary" value="Authorize with Facebook" onclick="location.href='<?php      echo $socialPost->facebook->getAuthorizeUrl(); ?>';">
							</p>
						</div>
					<?php      } elseif (!$socialPost->facebook->getTimeline()) { 
						$pages = $socialPost->facebook->getUserTimelines();
						?>
						<div class="clearfix alert-message dancer">
							<p>You are currently connected with Facebook, but do not have a timeline selected. Please choose a timeline:</p>
							<select name="facebook[post_to_page]">
								<option value=""></option>
								<option value="<?php      echo $socialPost->facebook->user; ?>">My Timeline</option>
								<?php      foreach ($pages as $page) { ?>
									<option value="<?php      echo $page['page_id']; ?>"><?php      echo $page['name'];?></option>	
								<?php      }?>
							</select>
						</div>
					
					<?php      } else {
						$timeline = $socialPost->facebook->getTimeline();
						?>
						<div class="clearfix alert-message info">
							<p>You are currently connected with Facebook and posting to <?php      echo $timeline['name']; ?>.</p>
							<p id="chooseTimeline" style="cursor:pointer;text-decoration:underline;">Choose a new timeline</p>
							<div id="chooseTimelineInstructions" style="display:none;">
								<ol>
									<li>Delete the AppId and App Secret above</li>
									<li>Click the 'Update Social Network Settings' button below.</li>
								</ol>
							</div>
							<p id="removeAuthorization" style="cursor:pointer;text-decoration:underline;">Remove authorization</p>
							<div id="removeAuthorizationInstructions" style="display:none;">
								<ol>
									<li>Click the 'Remove' icon on your <a href="https://www.facebook.com/settings?tab=applications" target="_blank">Facebook Apps Settings page</a>.</li>
									<li>Click the 'Update Social Network Settings' button below.</li>
								</ol>
							</div>
						</div>
						<input type="hidden" name="facebook[post_to_page]" value="<?php      echo $timeline['id']; ?>">
						<input type="hidden" name="facebook[post_to_page_name]" value="<?php      echo $timeline['name']; ?>">
						<?php        if (version_compare(APP_VERSION,'5.5.0', '>=')) { ?>
							<div class="clearfix">
								<label class="checkbox" style="width:500px;text-align:left;" id="facebook_send_post">
									<input type="checkbox" name="facebook[send_post]" value="1" <?php      if ($socialPost->facebook->settings['send_post']['value'] == 1) { ?> checked <?php      } ?> />
									<?php       echo t('Post to facebook when a new composer page is added')?>
								</label>
							</div>
							<div id="send_post_on_facebook_div" style="margin-left:21px;<?php      if ($socialPost->facebook->settings['send_post']['value'] != 1) { ?>display:none;<?php      } ?>">
								<?php      $facebookPrefixes = json_decode($socialPost->facebook->settings['prefix']['value']); ?>
								<table border="0" cellspacing="0" cellpadding="0" class="zebra-striped">
							    	<thead>
							   <tr>
							       <th>Page Type</th>
							       <th>Intro Text</th>
							   </tr>
									</thead>
									<tbody>
				      <tr>
							       <td><i>Default</i></td>
							       <td><input type="text" name="facebook[prefix][0]" value="<?php      $index=0; $defaultfacebookPrefix=$facebookPrefixes->$index; echo $defaultfacebookPrefix; ?>"></td>
							   </tr>
										<?php      foreach ($composerPageTypes as $cpt) { 
											$index = $cpt->ctID;
											$value = (isset($facebookPrefixes->$index)) ? $facebookPrefixes->$index : $defaultfacebookPrefix;
											?>
				      <tr>
							       <td><?php      echo $cpt->ctName; ?></td>
							       <td><input type="text" name="facebook[prefix][<?php      echo $index; ?>]" value="<?php       echo $value;?>"></td>
							   </tr>
							   <?php      } ?>
							 </tbody>
							    </table>
								<div class="clearfix">
									<label class="checkbox" style="margin-left:0;width:500px;text-align:left;">
										<input type="checkbox" name="facebook[use_hashtags]" value="1" <?php      if ($socialPost->facebook->settings['use_hashtags']['value'] == 1) { ?> checked <?php      } ?> />
										<?php       echo t('Add Hashtags at the end of the post')?>
									</label>
								</div>
							</div>
						<?php        } ?>
						<div class="clearfix">
							<label class="checkbox" style="width:300px;text-align:left;" id="facebook_promote">
								<input type="checkbox" name="facebook[allow_promotion]" value="1" <?php      if ($socialPost->facebook->settings['allow_promotion']['value'] == 1) { ?> checked <?php      } ?> />
								<?php       echo t('Allow page editors to promote pages via facebook')?>
							</label>
						</div>
						<div id="promote_on_facebook_div" style="margin-left:21px;<?php      if ($socialPost->facebook->settings['allow_promotion']['value'] != 1) { ?>display:none;<?php      } ?>">
							<div class="clearfix">
								<div class="input input-prepend" style="margin-left:0;" title="Text to add before the link to this page" >
									<input type="text" name="facebook[promote_prefix]" value="<?php       echo $socialPost->facebook->settings['promote_prefix']['value'];?>"><span class="add-on">Intro Text</span>
								</div>
							</div>
							<div class="clearfix">
								<label class="checkbox" style="margin-left:0;width:500px;text-align:left;">
									<input type="checkbox" name="facebook[promote_default]" value="1" <?php      if ($socialPost->facebook->settings['promote_default']['value'] == 1) { ?> checked <?php      } ?> />
									<?php       echo t('By default, check the box for promoting pages via facebook')?>
								</label>
							</div>
							<div class="clearfix">
								<label class="checkbox" style="margin-left:0;width:500px;text-align:left;">
									<input type="checkbox" name="facebook[use_hashtags_promote_default]" value="1" <?php      if ($socialPost->facebook->settings['use_hashtags_promote_default']['value'] == 1) { ?> checked <?php      } ?> />
									<?php       echo t('By default, check the box for adding hashtags to the post')?>
								</label>
							</div>
						</div>
						<?php      }
										}
										?> 


			</div>
		</div>
		<div style="width:33%;float:right;">
			<div class="clearfix">
				<label class="checkbox" id="use_on_linkedin" style="width:300px;text-align:left;">
					<input type="checkbox" name="linkedin[use]" value="1" <?php      if ($socialPost->linkedin->settings['use']['value'] == 1) { ?> checked <?php      } ?> />
					<?php       echo t('Allow posts to LinkedIn')?>
				</label>
			</div>
			
			<div id="use_on_linkedin_div" style="margin-left:21px;<?php      if ($socialPost->linkedin->settings['use']['value'] != 1) { ?>display:none;<?php      } ?>">
			</div>
		</div>
		<div style="clear:both;"></div>
	</div>
	<div class="ccm-pane-footer">
		<div class="ccm-buttons">
			<input type="button" class="btn ccm-button-v2 primary ccm-button-v2-right" value="Update Social Network Settings" id="add-skybluesofa_social_promotion_form_submit" name="add-skybluesofa_social_promotion_submit">
		</div>
	</div>
</form>
<?php       
if (method_exists($cdh, 'getDashboardPaneHeaderWrapper')) {
	echo Loader::helper('concrete/dashboard')->getDashboardPaneFooterWrapper();
} else {
	echo '</div></div>';
}
?>
<script>
$(function(){
	$('#sbs_sp_twitter_use').bind('click',function() {
		var $input = $(this).find('INPUT');
		if ($input.is(':checked')) {
			$('#use_on_twitter_div').slideDown();
		} else {
			$('#use_on_twitter_div').slideUp();
		}
	});
	$('#twitter_send_post').bind('click',function() {
		var $input = $(this).find('INPUT');
		if ($input.is(':checked')) {
			$('#send_post_on_twitter_div').slideDown();
		} else {
			$('#send_post_on_twitter_div').slideUp();
		}
	});
	$('#twitter_promote').bind('click',function() {
		var $input = $(this).find('INPUT');
		if ($input.is(':checked')) {
			$('#promote_on_twitter_div').slideDown();
		} else {
			$('#promote_on_twitter_div').slideUp();
		}
	});
	$('#use_on_facebook').bind('click',function() {
		var $input = $(this).find('INPUT');
		if ($input.is(':checked')) {
			$('#use_on_facebook_div').slideDown();
		} else {
			$('#use_on_facebook_div').slideUp();
		}
	});
	$('#facebook_post_to_page').bind('change',function() {
		if ($(this).val()!='') {
			$('#facebook_post_settings_div').slideDown();
		} else {
			$('#facebook_post_settings_div').slideUp();
		}
	});
	$('#facebook_send_post').bind('click',function() {
		var $input = $(this).find('INPUT');
		if ($input.is(':checked')) {
			$('#send_post_on_facebook_div').slideDown();
		} else {
			$('#send_post_on_facebook_div').slideUp();
		}
	});
	$('#facebook_promote').bind('click',function() {
		var $input = $(this).find('INPUT');
		if ($input.is(':checked')) {
			$('#promote_on_facebook_div').slideDown();
		} else {
			$('#promote_on_facebook_div').slideUp();
		}
	});
	$('#add-skybluesofa_social_promotion_form_submit').bind('click',function() {
		$('#skybluesofa_social_promotion_form').submit();
	});


	
	$('#chooseTimeline').bind('click',function(){
		$instructions = $('#chooseTimelineInstructions');
		if ($instructions.is(':visible')) {
			$instructions.slideUp();
		} else {
			$instructions.slideDown();
		}
	});
	$('#removeAuthorization').bind('click', function(){
		var $instructions = $('#removeAuthorizationInstructions');
		if ($instructions.is(':visible')) {
			$instructions.slideUp();
		} else {
			$instructions.slideDown();
		}
	});
});
</script>
